VORBISCOMMENT(1)

NOM
vorbiscomment – Listage ou édition des commentaires inclus dans les fichiers Ogg Vorbis

SYNOPSIS
vorbiscomment [-l] [-R] [-e] fichier.ogg
vorbiscomment -a [ -c fichier_commentaire | -t “balise=valeur” | -d “balise=valeur” ] [-q] [-R] [-e] fichier_entrée.ogg [fichier_sortie.ogg]
vorbiscomment -w [ -c fichier_commentaire | -t “balise=valeur” ] [-q] [-R] [-e] fichier_entrée.ogg [fichier_sortie.ogg]

DESCRIPTION
vorbiscomment lit, modifie et ajoute des balises de métadonnées dans un fichier audio Ogg Vorbis.

OPTIONS

-a, --append
    Mise à jour des commentaires.

-c fichier_commentaire, --commentfile fichier_commentaire
    Récupération des commentaires à partir d'un fichier. Le fichier est au même format que celui produit par l’option -l ou donné à l’option -t : un élément par ligne au format « balise=valeur ». Si le fichier est /dev/null et que l’option -w est indiquée, les commentaires existants seront supprimés.

-h, --help
    Affiche une aide pour les commandes.

-l, --list
    Affichage des commentaires présents dans le fichier Ogg Vorbis.

-q, --quiet
    Mode silencieux. Aucun message n'est affiché.

-t 'balise=valeur', --tag 'balise=valeur'
    Indication d’une nouvelle balise sur la ligne de commande. Chaque paire balise-valeur doit être indiquée dans une seule chaîne de caractères. La partie avant le « = » est traitée comme le nom de balise alors que la partie située après est considérée comme étant la valeur.

-d 'balise[=valeur]', --rm 'balise[=valeur]'
    Indication d’une balise à supprimer sur la ligne de commande. Chaque paire balise-valeur doit être indiquée dans une seule chaîne de caractères. La partie avant le « = » est traitée comme le nom de balise alors que la partie située après est considérée comme étant la valeur. Si aucune valeur n’est indiquée, toutes les balises dont le nom est indiqué seront supprimées. Sinon, seules les balises dont les valeurs correspondent seront supprimées.

-w, --write
    Remplacement des commentaires par le nouvel ensemble donné soit sur la ligne de commande avec l’option -t, soit à partir d’un fichier indiqué avec l’option -c. Si aucune option -c ou -t n’est indiquée, le nouvel ensemble sera lu à partir de l’entrée standard.

-R, --raw
    Lecture et écriture des commentaires en UTF-8 au lieu de les convertir dans le jeu de caractères de l'utilisateur.

-e, --escapes
    Ajout de caractères de nouvelle ligne ou de controbliques dans les commentaires. Cela permet de s’assurer que chaque commentaire est sur une seule ligne dans la sortie (ou l’entrée), permettant de les filtrer ou les importer ou exporter. Sans cela, il n’est possible d’écrire des commentaires multilignes qu’en utilisant l’option -t et il n’est pas possible de les distinguer des commentaires unilignes.

    Les séquences d’échappement prises en charge sont « \n », « \r », « \\ » et « \0 ». Une controblique suivie de rien d’autre est une erreur.

    Remarque : actuellement, tout ce qui se trouve après le premier « \0 » est rejeté lors de l’écriture. C’est un bogue. Le format Vorbis peut sans problème stocker des octets NULL finaux, mais la plupart des autres outils de toute façon ne les géreront pas.

-V, --version
    Afficher la version de vorbiscomment.

EXEMPLES

Pour afficher simplement quelles sont les balises dans un fichier :

    vorbiscomment -l fichier.ogg

Pour éditer ces commentaires :

    vorbiscomment -l fichier.ogg > fichier.txt
    [édition des commentaires dans fichier.txt selon votre bon vouloir]
    vorbiscomment -w -c fichier.txt fichier.ogg nouveau_fichier.ogg

Pour ajouter simplement un commentaire :

    vorbiscomment -a -t 'ARTIST=Personne que vous connaissez' fichier.ogg nouveau_fichier.ogg

Pour ajouter un ensemble de commentaires à partir de l’entrée standard :

    vorbiscomment -a fichier.ogg
    ARTIST=Personne que vous connaissez
    ALBUM=L’album définitif
    <ctrl-d>

FORMAT DE BALISE

Consulter https://xiph.org/vorbis/doc/v-comment.html pour une documentation sur le format de balise Ogg Vorbis, incluant une liste de suggestions de noms canoniques de balise.

AUTEURS

Auteurs du programme :
    Michael Smith <msmith@xiph.org>
    Ralph Giles <giles@xiph.org>

Auteur de la page de manuel :
    Christopher L Cheney <ccheney@debian.org>

VOIR AUSSI

oggenc(1), oggdec(1), ogg123(1), ogginfo(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par François Wendling <frwendling@free.fr> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.